> For the complete documentation index, see [llms.txt](https://docs.replicacyber.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.replicacyber.com/faqs/how-do-i-install-additional-software-in-my-virtual-environment.md).

# How do I install additional software in my Virtual Environment?

### Linux Environments: <a href="#linux_environments" id="linux_environments"></a>

Linux Environments on the Replica platform support the installation of additional Linux software using the APT package manager. &#x20;

When installing applications, you typically will need to execute your command superuser privileges by using the \`sudo\` command.  When prompted for a password, you will need to use the password which is available to you under the [**View Credentials**](/user-guide/4.5-user-guide/virtual-environments.md#toolbox-admin-credentials) menu option on your list of Virtual Environments.

Third-party packages available through APT have not necessarily been tested or approved by Replica Cyber.

See Also: <https://help.ubuntu.com/community/AptGet/Howto>

### Windows Environments: <a href="#windows_environments" id="windows_environments"></a>

Windows Environments on the Replica platform include an application gallery to easily install applications: Chocolatey GUI, available in the Start menu.  Windows applications downloaded from the internet may also be installed as normal.

If prompted for a password, you will need to use the username and password available to you under the [**View Credentials**](/user-guide/4.5-user-guide/virtual-environments.md#toolbox-admin-credentials) menu option on your list of Virtual Environments.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.replicacyber.com/faqs/how-do-i-install-additional-software-in-my-virtual-environment.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
